/*
 * Copyright (c) 2022 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
 */

/** @file
 * @brief WiFi scan sample
 */

#include <zephyr/logging/log.h>
LOG_MODULE_REGISTER(scan, CONFIG_LOG_DEFAULT_LEVEL);

#include <nrfx_clock.h>
#include <zephyr/kernel.h>
#include <stdio.h>
#include <stdlib.h>
#include <zephyr/shell/shell.h>
#include <zephyr/sys/printk.h>
#include <zephyr/init.h>

#include <zephyr/net/net_if.h>
#include <zephyr/net/wifi_mgmt.h>
#include <zephyr/net/net_event.h>

#include "net_private.h"

#include "Hardware_Init.h"
#include "GPIO.h"
#include "LEDs.h"
//#include "BLE.h"
#include "MX25R6435F.h"

int main(void)
{
	//BLE_Init();

	Hardware_Init();
	GPIO_Init();
	MX25R6435F_Init();

	LED_Off( LEDS_RED );
	LED_Off( LEDS_GREEN );
	LED_Off( LEDS_BLUE );

    if( MX25R6435F_Test() == 0 ){
		while(1){
			LED_On( LEDS_RED );
			k_msleep(1000);
			LED_Off( LEDS_RED );
			k_msleep(1000);
		}
	}

	while(1){

		LED_On( LEDS_GREEN );
		k_msleep( 500 );
		LED_Off( LEDS_GREEN );
		k_msleep( 500 );
	}

}
